## WDS Delete Profile

WDS Delete Profile

## Functions

QmiMessageWdsDeleteProfileInput * | qmi_message_wds_delete_profile_input_new ()
QmiMessageWdsDeleteProfileInput * | qmi_message_wds_delete_profile_input_ref ()
void | qmi_message_wds_delete_profile_input_unref ()
gboolean | qmi_message_wds_delete_profile_input_get_profile_identifier ()
gboolean | qmi_message_wds_delete_profile_input_set_profile_identifier ()
QmiMessageWdsDeleteProfileOutput * | qmi_message_wds_delete_profile_output_ref ()
void | qmi_message_wds_delete_profile_output_unref ()
gboolean | qmi_message_wds_delete_profile_output_get_result ()
gboolean | qmi_message_wds_delete_profile_output_get_extended_error_code ()
void | qmi_client_wds_delete_profile ()
QmiMessageWdsDeleteProfileOutput * | qmi_client_wds_delete_profile_finish ()

## Types and Values

| QmiMessageWdsDeleteProfileInput
| QmiMessageWdsDeleteProfileOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsDeleteProfileInput
        ╰── QmiMessageWdsDeleteProfileOutput

## Description

## Functions

### qmi_message_wds_delete_profile_input_new ()

    QmiMessageWdsDeleteProfileInput *
    qmi_message_wds_delete_profile_input_new
                                   (void);

Allocates a new QmiMessageWdsDeleteProfileInput.

#### Returns

the newly created QmiMessageWdsDeleteProfileInput. The returned value should be freed with `qmi_message_wds_delete_profile_input_unref()`.

Since: 1.18

### qmi_message_wds_delete_profile_input_ref ()

    QmiMessageWdsDeleteProfileInput *
    qmi_message_wds_delete_profile_input_ref
                                   (QmiMessageWdsDeleteProfileInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsDeleteProfileInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_wds_delete_profile_input_unref ()

    void
    qmi_message_wds_delete_profile_input_unref
                                   (QmiMessageWdsDeleteProfileInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsDeleteProfileInput. |

Since: 1.18

### qmi_message_wds_delete_profile_input_get_profile_identifier ()

    gboolean
    qmi_message_wds_delete_profile_input_get_profile_identifier
                                   (QmiMessageWdsDeleteProfileInput *self,
                                    QmiWdsProfileType *value_profile_identifier_profile_type,
                                    guint8 *value_profile_identifier_profile_index,
                                    GError **error);

Get the 'Profile Identifier' field from `self` .

#### Parameters

self | a QmiMessageWdsDeleteProfileInput. |
value_profile_identifier_profile_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. |
value_profile_identifier_profile_index | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_delete_profile_input_set_profile_identifier ()

    gboolean
    qmi_message_wds_delete_profile_input_set_profile_identifier
                                   (QmiMessageWdsDeleteProfileInput *self,
                                    QmiWdsProfileType value_profile_identifier_profile_type,
                                    guint8 value_profile_identifier_profile_index,
                                    GError **error);

Set the 'Profile Identifier' field in the message.

#### Parameters

self | a QmiMessageWdsDeleteProfileInput. |
value_profile_identifier_profile_type | a QmiWdsProfileType. |
value_profile_identifier_profile_index | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_delete_profile_output_ref ()

    QmiMessageWdsDeleteProfileOutput *
    qmi_message_wds_delete_profile_output_ref
                                   (QmiMessageWdsDeleteProfileOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsDeleteProfileOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_wds_delete_profile_output_unref ()

    void
    qmi_message_wds_delete_profile_output_unref
                                   (QmiMessageWdsDeleteProfileOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsDeleteProfileOutput. |

Since: 1.18

### qmi_message_wds_delete_profile_output_get_result ()

    gboolean
    qmi_message_wds_delete_profile_output_get_result
                                   (QmiMessageWdsDeleteProfileOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsDeleteProfileOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_message_wds_delete_profile_output_get_extended_error_code ()

    gboolean
    qmi_message_wds_delete_profile_output_get_extended_error_code
                                   (QmiMessageWdsDeleteProfileOutput *self,
                                    QmiWdsDsProfileError *value_extended_error_code,
                                    GError **error);

Get the 'Extended Error Code' field from `self` .

#### Parameters

self | a QmiMessageWdsDeleteProfileOutput. |
value_extended_error_code | a placeholder for the output QmiWdsDsProfileError, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_client_wds_delete_profile ()

    void
    qmi_client_wds_delete_profile (QmiClientWds *self,
                                   QmiMessageWdsDeleteProfileInput *input,
                                   guint timeout,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously sends a Delete Profile request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_delete_profile_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsDeleteProfileInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_wds_delete_profile_finish ()

    QmiMessageWdsDeleteProfileOutput *
    qmi_client_wds_delete_profile_finish (QmiClientWds *self,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an async operation started with `qmi_client_wds_delete_profile()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_delete_profile()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsDeleteProfileOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_delete_profile_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessageWdsDeleteProfileInput

    typedef struct _QmiMessageWdsDeleteProfileInput QmiMessageWdsDeleteProfileInput;

The QmiMessageWdsDeleteProfileInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessageWdsDeleteProfileOutput

    typedef struct _QmiMessageWdsDeleteProfileOutput QmiMessageWdsDeleteProfileOutput;

The QmiMessageWdsDeleteProfileOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18